import '../../stencil.core';
import { ConversionService, HttpService, TranslateService } from '@ema/core';
export declare class Home {
    entityForm: HTMLElement;
    userForm: HTMLElement;
    entityForm2: HTMLElement;
    loginForm: HTMLElement;
    formEntityTest: any;
    conversion: ConversionService;
    http: HttpService;
    translateService: TranslateService;
    translate: any;
    entityDefinitions: any;
    entityTestForm: HTMLElement;
    testEntityFormData: any;
    el: HTMLElement;
    loading: boolean;
    submitError: string;
    constructor();
    componentDidLoad(): void;
    loadData(): Promise<void>;
    initForms(): Promise<void>;
    formSubmitInterceptor(formData: any, bundle: any): Promise<any>;
    formSubmitHandler(event: CustomEvent): Promise<void>;
    render(): JSX.Element;
}
